jvx.numeric

## Class PnFunction

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnFunction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf
  Direct Known Subclasses:
    PnEnergy, PnLevelSet, PnPassedFunction

      public abstract class PnFunction
      extends PsObject

  Abstract class for functions to be used numerical methods, e.g. in minimization classes.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    22.12.99, 1.10 revised (kp) Evaluation flag added to allow interruption of minimization.
    00.00.98, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnFunction()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enableEvaluation(boolean flag)` Enable evaluation of function.
    `abstract double` | `eval(PdVector x)` At position x evaluate the functional.
    `abstract PdVector` | `evalGradient(PdVector x, PdVector aGradient)` At position x evaluate the gradient of the functional, aGradient may be null.
    `abstract PdMatrix` | `evalHessian(PdMatrix aHessian)` At position x evaluate the hessian of the functional, aHessian may be null.
    `abstract int` | `getNumOfVariables()` Get number of free argument variables.
    `boolean` | `isEvaluable()` Check whether function allows evaluation.

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, init, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnFunction

          public PnFunction()

  - ### Method Detail

    - #### isEvaluable

          public boolean isEvaluable()

      Check whether function allows evaluation. Flag used to stop minimization process inside CG minimizer.

    - #### enableEvaluation

          public void enableEvaluation(boolean flag)

      Enable evaluation of function.

    - #### getNumOfVariables

          public abstract int getNumOfVariables()

      Get number of free argument variables.

    - #### eval

          public abstract double eval(PdVector x)

      At position x evaluate the functional.

    - #### evalGradient

          public abstract PdVector evalGradient(PdVector x,
                                                PdVector aGradient)

      At position x evaluate the gradient of the functional, aGradient may be null.

    - #### evalHessian

          public abstract PdMatrix evalHessian(PdMatrix aHessian)

      At position x evaluate the hessian of the functional, aHessian may be null. Method returns a matrix which considers only the non-boundary vertices.

"

The software JavaView? is copyright protected. All Rights Reserved.
"